Squid3 Debian - Erro Google Chrome - NET::ERR_CERT_WEAK_SIGNATURE_ALGORITHM [Resolvido]

Publicado por Sérgio Abrantes Junior em 26/05/2017

[ Hits: 3.738 ]

Blog: https://br.linkedin.com/in/sergioabrantes

 


Squid3 Debian - Erro Google Chrome - NET::ERR_CERT_WEAK_SIGNATURE_ALGORITHM [Resolvido]



Em meu artigo aqui no próprio VOL, ensino como instalar o Squid3 no Debian 8 Jessie com suporte a filtro https.

A partir de março de 2017, o Google Chrome em sua versão 57 foi lançado. Ele já não permite acesso a sites que utilizem certificados SHA1, apresentando um erro como mostra a imagem:
Linux: Squid3 Debian - Erro Google Chrome - NET::ERR_CERT_WEAK_SIGNATURE_ALGORITHM
Ainda podemos continuar acessando o site clicando em "ir para SITE (não seguro)", mas todo site https abriria assim.

Clicando em "Saiba mais", somos direcionados ao site: Fix connection errors - Google Chrome Help

Nele encontramos um segundo link onde há mais explicações.

Conforme orientação do Google, devemos trocar o certificado de SHA-1 para SHA-2 ou SHA256.

Siga as orientações desse site para emitir o novo certificado.

Além disso, a versão do Squid presente no Debian 8 precisa que um patch seja aplicado.

Basicamente fazer uma alteração de sha1 pra sha256 no arquivo /var/cache/apt-build/build/squid3-3.4.8/src/ssl/gadgets.cc e compilar de novo.

Fonte: [squid-users] HTTPS chrome - SHA1 this page is insecure

Resumindo: fazer todos os passos do meu artigo, mudando a geração do certificado e fazendo mais uma mudança no /var/cache/apt-build/build/squid3-3.4.8/src/ssl/gadgets.cc.

O restante dos passos são iguais.

Até!

Outras dicas deste autor

Configurando scroll de mouse PS/2 no Slackware Linux

LILO: undefined video mode number

Iniciar o Slackware Linux no modo gráfico automaticamente

Configurar som no Linux através do ALSA

Corrigindo horário de servidores com NTP

Leitura recomendada

Lançado BRLix 2.0 Basic

Firefox 4 parou salvar as abas antes de fechar? Não mais!

Meu programa para download: Calculadora de décimo terceiro salário

UMPlayer no Debian Ubuntu e Linux Mint

gHasher - md5sum para quem usa Gnome

  

Comentários
[1] Comentário enviado por doug_pirralha em 16/02/2018 - 14:53h

Obrigado pela ajuda, estou com este mesmo problema na empresa, estou tentando corrigir, assim que conseguir, posto aqui o resultado.

[2] Comentário enviado por doug_pirralha em 23/02/2018 - 09:27h

Bom dia amigo!
Estou com duvidas quanto à aplicação do patch que corrige o erro de certificado no Google Chrome, como faço para aplicar este patch no arquivo gadgets.cc?



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts